Bug 41709 - When calling the API that relates to the buffer after the response is committed, ISE with no messages is thrown.
When calling the API that relates to the buffer after the response is committ...
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.20
PC Windows XP
: P3 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-02-26 17:43 UTC by Suzuki Yuichiro
Modified: 2011-07-22 18:10 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Suzuki Yuichiro 2007-02-26 17:43:51 UTC
After the response is committed, following API throws IllegalStateException.
It's O.K. but the message of the exception is not set.

- HttpServletResponse#resetBuffer
- HttpServletResponse#sendError
- HttpServletResponse#sendRedirect
- HttpServletResponse#setBufferSize

To understand the bug of the application, it is hoped that the message is set 
like other exceptions.
Comment 1 Yoav Shapira 2007-03-25 09:34:19 UTC
If you tell us what message you want to see, I'll be glad to add them.
Comment 2 Suzuki Yuichiro 2007-05-14 22:52:59 UTC
I think that's enough if they are same as the messages used with 
org.apache.catalina.connector.Response.

LocalStrings(_xx).properties:
 coyoteResponse.resetBuffer.ise
 coyoteResponse.sendError.ise
 coyoteResponse.sendRedirect.ise
 coyoteResponse.setBufferSize.ise

Regards.
Comment 3 Mark Thomas 2011-07-22 18:10:11 UTC
Fixed in 7.0.x for 7.0.20. I do not intend to propose this for back-port.